Group: Development/Tools
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(check) texinfo
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:			teseq
Version:			1.1.1
Release:			alt2_15
Summary:			An utility for rendering terminal typescripts human-readable

License:			GPLv3+
URL:				http://www.gnu.org/software/teseq/
Source0:			http://ftp.gnu.org/gnu/teseq/%{name}-%{version}.tar.bz2
BuildRequires:  gcc
BuildRequires:		libcheck
# For check
BuildRequires:		rpm-build-perl
BuildRequires:		perl(Getopt/Long.pm), perl(Time/HiRes.pm)
Source44: import.info

%description
Teseq, a tool for analyzing files that contain control characters and
terminal control sequences. It is intended to be useful for diagnosing
terminal emulators, and programs that make heavy use of terminal features
(such as those based on the Curses library).

It is primarily targeted at individuals who possess a basic understanding of
terminal control sequences, especially CSI sequences.

%prep
%setup -q

%build
%configure
%make_build

%check
make check

%install
make install INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%files
%doc AUTHORS ChangeLog README COPYING NEWS
%{_bindir}/%{name}
%{_bindir}/reseq
%{_infodir}/%{name}.info.*
%{_mandir}/man1/reseq.1*
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.1.1-alt2_15
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.1.1-alt2_14
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.1.1-alt2_13
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt2_12
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_12
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_11
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_10
- update to new release by fcimport

* Fri Apr 26 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_9
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_8
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_7
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_6
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.1.1-alt1_2
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_4
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_2
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_11
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_10
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_9
- initial fc import

